> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a SKU change request (cancel, accept, deny, or accept with modifications)



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json patch /v1/team/sku-change-request/{id}
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/team/sku-change-request/{id}:
    patch:
      tags:
        - Team
      summary: >-
        Update a SKU change request (cancel, accept, deny, or accept with
        modifications)
      operationId: TeamController_updateSkuChangeRequest
      parameters:
        - name: id
          required: true
          in: path
          description: SKU change request ID
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateSkuChangeRequestDto'
      responses:
        '204':
          description: ''
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - bearer: []
components:
  schemas:
    UpdateSkuChangeRequestDto:
      type: object
      properties:
        status:
          type: string
          enum:
            - pending
            - accepted
            - denied
            - accepted_with_modifications
            - cancelled
          description: Target status to transition the request to
        sku:
          type: string
          enum:
            - identity
            - adr
          description: Final SKU to apply (required for accept_with_modifications)
        isTrial:
          type: boolean
          description: Whether the subscription is a trial
        skuStartDate:
          type: string
          description: Subscription start date (ISO string)
        skuEndDate:
          type: string
          nullable: true
          description: Subscription end date (ISO string)
      required:
        - status
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````